"""empty message

Revision ID: 7128f1b89384
Revises: 54606dbd2c99
Create Date: 2023-06-14 03:27:31.792184

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7128f1b89384'
down_revision = '54606dbd2c99'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('bank_transaction', schema=None) as batch_op:
        batch_op.alter_column('posting_date',
               existing_type=sa.DATE(),
               nullable=True)
        batch_op.alter_column('value_date',
               existing_type=sa.DATE(),
               nullable=True)
        batch_op.alter_column('particulars',
               existing_type=sa.VARCHAR(length=200),
               nullable=True)
        batch_op.alter_column('debit',
               existing_type=sa.DOUBLE_PRECISION(precision=53),
               nullable=True)
        batch_op.alter_column('credit',
               existing_type=sa.DOUBLE_PRECISION(precision=53),
               nullable=True)
        batch_op.alter_column('balance',
               existing_type=sa.DOUBLE_PRECISION(precision=53),
               nullable=True)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('bank_transaction', schema=None) as batch_op:
        batch_op.alter_column('balance',
               existing_type=sa.DOUBLE_PRECISION(precision=53),
               nullable=False)
        batch_op.alter_column('credit',
               existing_type=sa.DOUBLE_PRECISION(precision=53),
               nullable=False)
        batch_op.alter_column('debit',
               existing_type=sa.DOUBLE_PRECISION(precision=53),
               nullable=False)
        batch_op.alter_column('particulars',
               existing_type=sa.VARCHAR(length=200),
               nullable=False)
        batch_op.alter_column('value_date',
               existing_type=sa.DATE(),
               nullable=False)
        batch_op.alter_column('posting_date',
               existing_type=sa.DATE(),
               nullable=False)

    # ### end Alembic commands ###
